MODEL=bert-base-uncased
TASK_NAME=mnli
DEVICE=0
# Prefix that tree of saved models will be saved to
SAVE_PREFIX=/Some/path/here

# Training hyperparameters may be specified as a list of options
LEARNING_RATES=("5e-5") 
ADMM_RHOS=("4e-4" "1e-3")
BATCH_SIZES=("32")
ADMM_TYPE=NxM

for LEARNING_RATE in ${LEARNING_RATES[*]}
do
    for ADMM_RHO in ${ADMM_RHOS[*]}
    do
        for BATCH_SIZE in ${BATCH_SIZES[*]}
        do
            CUDA_VISIBLE_DEVICES=$DEVICE python ../run_glue_admm.py \
                --task_name $TASK_NAME \
                --model_name_or_path $MODEL \
                --do_train \
                --do_eval \
                --evaluation_strategy epoch \
                --per_device_eval_batch_size=128  \
                --per_device_train_batch_size=$BATCH_SIZE   \
                --gradient_accumulation_steps=1 \
                --learning_rate $LEARNING_RATE \
                --num_train_epochs 10.0 \
                --save_steps 100000 \
                --logging_steps 200 \
                --do_admm \
                --rho $ADMM_RHO \
                --admm_config ../configs/bert_0_5_config.json \
                --admm_type $ADMM_TYPE \
                --overwrite_output_dir \
                --output_dir $SAVE_PREFIX/per_epoch/$MODEL/$TASK_NAME/$ADMM_TYPE/$LEARNING_RATE/$ADMM_RHO/$BATCH_SIZE/
        done
    done
done